#############################################################################
# Makefile for building: printTest
# Generated by qmake (3.0) (Qt 5.4.0)
# Project:  printTest.pro
# Template: app
# Command: /usr/local/qt/bin/qmake -o Makefile printTest.pro
#############################################################################

MAKEFILE      = Makefile

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT -fPIE $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT -fPIE $(DEFINES)
INCPATH       = -I/usr/local/qt/mkspecs/linux-g++ -I. -I/usr/local/qt/include -I/usr/local/qt/include/QtCore -I.
QMAKE         = /usr/local/qt/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
TAR           = tar -cf
COMPRESS      = gzip -9f
DISTNAME      = printTest1.0.0
DISTDIR = /home/czl/print/qtPrintDemo/.tmp/printTest1.0.0
LINK          = g++
LFLAGS        = -L. -Wl,-rpath,'$$ORIGIN' -Wl,-O1 -Wl,-rpath,/home/czl/print/qtPrintDemo/‘$’ -Wl,-rpath,/usr/local/qt/lib
LIBS          = $(SUBLIBS) -lpos_print -L/usr/local/qt/lib -lQt5Core -lpthread 
AR            = ar cqs
RANLIB        = 
SED           = sed
STRIP         = strip

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp 
OBJECTS       = main.o
DIST          = /usr/local/qt/mkspecs/features/spec_pre.prf \
		/usr/local/qt/mkspecs/common/shell-unix.conf \
		/usr/local/qt/mkspecs/common/unix.conf \
		/usr/local/qt/mkspecs/common/linux.conf \
		/usr/local/qt/mkspecs/common/gcc-base.conf \
		/usr/local/qt/mkspecs/common/gcc-base-unix.conf \
		/usr/local/qt/mkspecs/common/g++-base.conf \
		/usr/local/qt/mkspecs/common/g++-unix.conf \
		/usr/local/qt/mkspecs/qconfig.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_clucene_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_concurrent.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_concurrent_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_core.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_core_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_designer.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_designer_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_designercomponents_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_gui.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_gui_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_help.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_help_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_network.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_network_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_platformsupport_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_printsupport.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_printsupport_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_qml.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_qml_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_qmldevtools_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_script.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_script_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_scripttools.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_scripttools_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_sql.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_sql_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_svg.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_svg_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_testlib.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_testlib_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_uitools.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_uitools_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_widgets.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_widgets_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_xml.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_xml_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_xmlpatterns.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_xmlpatterns_private.pri \
		/usr/local/qt/mkspecs/features/qt_functions.prf \
		/usr/local/qt/mkspecs/features/qt_config.prf \
		/usr/local/qt/mkspecs/linux-g++/qmake.conf \
		/usr/local/qt/mkspecs/features/spec_post.prf \
		/usr/local/qt/mkspecs/features/exclusive_builds.prf \
		/usr/local/qt/mkspecs/features/default_pre.prf \
		/usr/local/qt/mkspecs/features/resolve_config.prf \
		/usr/local/qt/mkspecs/features/default_post.prf \
		/usr/local/qt/mkspecs/features/warn_on.prf \
		/usr/local/qt/mkspecs/features/qt.prf \
		/usr/local/qt/mkspecs/features/resources.prf \
		/usr/local/qt/mkspecs/features/moc.prf \
		/usr/local/qt/mkspecs/features/unix/thread.prf \
		/usr/local/qt/mkspecs/features/testcase_targets.prf \
		/usr/local/qt/mkspecs/features/exceptions.prf \
		/usr/local/qt/mkspecs/features/yacc.prf \
		/usr/local/qt/mkspecs/features/lex.prf \
		printTest.pro pos_print.h main.cpp
QMAKE_TARGET  = printTest
DESTDIR       = #avoid trailing-slash linebreak
TARGET        = printTest


first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: printTest.pro /usr/local/qt/mkspecs/linux-g++/qmake.conf /usr/local/qt/mkspecs/features/spec_pre.prf \
		/usr/local/qt/mkspecs/common/shell-unix.conf \
		/usr/local/qt/mkspecs/common/unix.conf \
		/usr/local/qt/mkspecs/common/linux.conf \
		/usr/local/qt/mkspecs/common/gcc-base.conf \
		/usr/local/qt/mkspecs/common/gcc-base-unix.conf \
		/usr/local/qt/mkspecs/common/g++-base.conf \
		/usr/local/qt/mkspecs/common/g++-unix.conf \
		/usr/local/qt/mkspecs/qconfig.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_bootstrap_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_clucene_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_concurrent.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_concurrent_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_core.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_core_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_designer.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_designer_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_designercomponents_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_gui.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_gui_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_help.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_help_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_network.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_network_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_platformsupport_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_printsupport.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_printsupport_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_qml.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_qml_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_qmldevtools_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_script.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_script_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_scripttools.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_scripttools_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_sql.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_sql_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_svg.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_svg_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_testlib.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_testlib_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_uitools.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_uitools_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_widgets.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_widgets_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_xml.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_xml_private.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_xmlpatterns.pri \
		/usr/local/qt/mkspecs/modules/qt_lib_xmlpatterns_private.pri \
		/usr/local/qt/mkspecs/features/qt_functions.prf \
		/usr/local/qt/mkspecs/features/qt_config.prf \
		/usr/local/qt/mkspecs/linux-g++/qmake.conf \
		/usr/local/qt/mkspecs/features/spec_post.prf \
		/usr/local/qt/mkspecs/features/exclusive_builds.prf \
		/usr/local/qt/mkspecs/features/default_pre.prf \
		/usr/local/qt/mkspecs/features/resolve_config.prf \
		/usr/local/qt/mkspecs/features/default_post.prf \
		/usr/local/qt/mkspecs/features/warn_on.prf \
		/usr/local/qt/mkspecs/features/qt.prf \
		/usr/local/qt/mkspecs/features/resources.prf \
		/usr/local/qt/mkspecs/features/moc.prf \
		/usr/local/qt/mkspecs/features/unix/thread.prf \
		/usr/local/qt/mkspecs/features/testcase_targets.prf \
		/usr/local/qt/mkspecs/features/exceptions.prf \
		/usr/local/qt/mkspecs/features/yacc.prf \
		/usr/local/qt/mkspecs/features/lex.prf \
		printTest.pro \
		/usr/local/qt/lib/libQt5Core.prl
	$(QMAKE) -o Makefile printTest.pro
/usr/local/qt/mkspecs/features/spec_pre.prf:
/usr/local/qt/mkspecs/common/shell-unix.conf:
/usr/local/qt/mkspecs/common/unix.conf:
/usr/local/qt/mkspecs/common/linux.conf:
/usr/local/qt/mkspecs/common/gcc-base.conf:
/usr/local/qt/mkspecs/common/gcc-base-unix.conf:
/usr/local/qt/mkspecs/common/g++-base.conf:
/usr/local/qt/mkspecs/common/g++-unix.conf:
/usr/local/qt/mkspecs/qconfig.pri:
/usr/local/qt/mkspecs/modules/qt_lib_bootstrap_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_clucene_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_concurrent.pri:
/usr/local/qt/mkspecs/modules/qt_lib_concurrent_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_core.pri:
/usr/local/qt/mkspecs/modules/qt_lib_core_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_designer.pri:
/usr/local/qt/mkspecs/modules/qt_lib_designer_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_designercomponents_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_gui.pri:
/usr/local/qt/mkspecs/modules/qt_lib_gui_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_help.pri:
/usr/local/qt/mkspecs/modules/qt_lib_help_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_network.pri:
/usr/local/qt/mkspecs/modules/qt_lib_network_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_platformsupport_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_printsupport.pri:
/usr/local/qt/mkspecs/modules/qt_lib_printsupport_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_qml.pri:
/usr/local/qt/mkspecs/modules/qt_lib_qml_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_qmldevtools_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_script.pri:
/usr/local/qt/mkspecs/modules/qt_lib_script_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_scripttools.pri:
/usr/local/qt/mkspecs/modules/qt_lib_scripttools_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_sql.pri:
/usr/local/qt/mkspecs/modules/qt_lib_sql_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_svg.pri:
/usr/local/qt/mkspecs/modules/qt_lib_svg_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_testlib.pri:
/usr/local/qt/mkspecs/modules/qt_lib_testlib_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_uitools.pri:
/usr/local/qt/mkspecs/modules/qt_lib_uitools_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_widgets.pri:
/usr/local/qt/mkspecs/modules/qt_lib_widgets_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_xml.pri:
/usr/local/qt/mkspecs/modules/qt_lib_xml_private.pri:
/usr/local/qt/mkspecs/modules/qt_lib_xmlpatterns.pri:
/usr/local/qt/mkspecs/modules/qt_lib_xmlpatterns_private.pri:
/usr/local/qt/mkspecs/features/qt_functions.prf:
/usr/local/qt/mkspecs/features/qt_config.prf:
/usr/local/qt/mkspecs/linux-g++/qmake.conf:
/usr/local/qt/mkspecs/features/spec_post.prf:
/usr/local/qt/mkspecs/features/exclusive_builds.prf:
/usr/local/qt/mkspecs/features/default_pre.prf:
/usr/local/qt/mkspecs/features/resolve_config.prf:
/usr/local/qt/mkspecs/features/default_post.prf:
/usr/local/qt/mkspecs/features/warn_on.prf:
/usr/local/qt/mkspecs/features/qt.prf:
/usr/local/qt/mkspecs/features/resources.prf:
/usr/local/qt/mkspecs/features/moc.prf:
/usr/local/qt/mkspecs/features/unix/thread.prf:
/usr/local/qt/mkspecs/features/testcase_targets.prf:
/usr/local/qt/mkspecs/features/exceptions.prf:
/usr/local/qt/mkspecs/features/yacc.prf:
/usr/local/qt/mkspecs/features/lex.prf:
printTest.pro:
/usr/local/qt/lib/libQt5Core.prl:
qmake: FORCE
	@$(QMAKE) -o Makefile printTest.pro

qmake_all: FORCE


all: Makefile $(TARGET)

dist: distdir FORCE
	(cd `dirname $(DISTDIR)` && $(TAR) $(DISTNAME).tar $(DISTNAME) && $(COMPRESS) $(DISTNAME).tar) && $(MOVE) `dirname $(DISTDIR)`/$(DISTNAME).tar.gz . && $(DEL_FILE) -r $(DISTDIR)

distdir: FORCE
	@test -d $(DISTDIR) || mkdir -p $(DISTDIR)
	$(COPY_FILE) --parents $(DIST) $(DISTDIR)/
	$(COPY_FILE) --parents pos_print.h $(DISTDIR)/
	$(COPY_FILE) --parents main.cpp $(DISTDIR)/


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


distclean: clean 
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


####### Sub-libraries

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

check: first

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

main.o: main.cpp /usr/local/qt/include/QtCore/QCoreApplication \
		/usr/local/qt/include/QtCore/qcoreapplication.h \
		/usr/local/qt/include/QtCore/qglobal.h \
		/usr/local/qt/include/QtCore/qconfig.h \
		/usr/local/qt/include/QtCore/qfeatures.h \
		/usr/local/qt/include/QtCore/qsystemdetection.h \
		/usr/local/qt/include/QtCore/qprocessordetection.h \
		/usr/local/qt/include/QtCore/qcompilerdetection.h \
		/usr/local/qt/include/QtCore/qtypeinfo.h \
		/usr/local/qt/include/QtCore/qtypetraits.h \
		/usr/local/qt/include/QtCore/qsysinfo.h \
		/usr/local/qt/include/QtCore/qlogging.h \
		/usr/local/qt/include/QtCore/qflags.h \
		/usr/local/qt/include/QtCore/qatomic.h \
		/usr/local/qt/include/QtCore/qbasicatomic.h \
		/usr/local/qt/include/QtCore/qatomic_bootstrap.h \
		/usr/local/qt/include/QtCore/qgenericatomic.h \
		/usr/local/qt/include/QtCore/qatomic_msvc.h \
		/usr/local/qt/include/QtCore/qatomic_armv7.h \
		/usr/local/qt/include/QtCore/qatomic_armv6.h \
		/usr/local/qt/include/QtCore/qatomic_armv5.h \
		/usr/local/qt/include/QtCore/qatomic_ia64.h \
		/usr/local/qt/include/QtCore/qatomic_mips.h \
		/usr/local/qt/include/QtCore/qatomic_x86.h \
		/usr/local/qt/include/QtCore/qatomic_cxx11.h \
		/usr/local/qt/include/QtCore/qatomic_gcc.h \
		/usr/local/qt/include/QtCore/qatomic_unix.h \
		/usr/local/qt/include/QtCore/qglobalstatic.h \
		/usr/local/qt/include/QtCore/qmutex.h \
		/usr/local/qt/include/QtCore/qnumeric.h \
		/usr/local/qt/include/QtCore/qstring.h \
		/usr/local/qt/include/QtCore/qchar.h \
		/usr/local/qt/include/QtCore/qbytearray.h \
		/usr/local/qt/include/QtCore/qrefcount.h \
		/usr/local/qt/include/QtCore/qnamespace.h \
		/usr/local/qt/include/QtCore/qarraydata.h \
		/usr/local/qt/include/QtCore/qstringbuilder.h \
		/usr/local/qt/include/QtCore/qobject.h \
		/usr/local/qt/include/QtCore/qobjectdefs.h \
		/usr/local/qt/include/QtCore/qobjectdefs_impl.h \
		/usr/local/qt/include/QtCore/qlist.h \
		/usr/local/qt/include/QtCore/qalgorithms.h \
		/usr/local/qt/include/QtCore/qiterator.h \
		/usr/local/qt/include/QtCore/qbytearraylist.h \
		/usr/local/qt/include/QtCore/qcoreevent.h \
		/usr/local/qt/include/QtCore/qscopedpointer.h \
		/usr/local/qt/include/QtCore/qmetatype.h \
		/usr/local/qt/include/QtCore/qvarlengtharray.h \
		/usr/local/qt/include/QtCore/qcontainerfwd.h \
		/usr/local/qt/include/QtCore/qisenum.h \
		/usr/local/qt/include/QtCore/qobject_impl.h \
		/usr/local/qt/include/QtCore/qeventloop.h \
		pos_print.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

